Erro de layout ao informar o Educacenso 2020

Bom dia pessoal!!! Tudo bem com todos??? espero que sim.

Ao tentar importar arquivo gerado pelo i-Educar para o ambiente de treinamento do Educacenso 2020 (http://treinamento.censobasico.inep.gov.br/censobasico/#/), o mesmo foi recusado com os problemas listados a seguir:

-------->Mensagem: Registro 10 com número de campos diferente de 168, foram encontrados 166 campos.

Ao analisar o Layout do Educacenso percebi que o campo " "Total de profissionais que atuam nas seguintes funções na escola” requer as seguintes informações:

Campos da seção:

  • (Campo 123) Secretário(a) escolar

  • (Campo 113) Auxiliares de secretaria ou auxiliares administrativos, atendentes

  • (Campo 122) Profissionais de apoio e supervisão pedagógica: (pedagogo(a), coordenador(a) pedagógico(a), orientador(a) educacional, supervisor(a) escolar e coordenador(a) de área de ensino

  • (Campo 117) Coordenador(a) de turno/disciplina

  • (Campo 125) Técnicos(as), monitores(as), supervisores(as) ou auxiliares de laboratório(s), de apoio a tecnologias educacionais ou em multimeios/multimídias eletrônico-digitais.

  • (Campo 115) Bibliotecário(a), auxiliar de biblioteca ou monitor(a) da sala de leitura

  • (Campo 124) Seguranças, guarda ou segurança patrimonial

  • (Campo 114) Auxiliar de serviços gerais, porteiro(a), zelador(a), faxineiro(a), horticultor(a), jardineiro(a)

  • (Campo 119) Nutricionista

  • (Campo 121) Profissionais de preparação e segurança alimentar, cozinheiro(a), merendeira e auxiliar de cozinha

  • (Campo 116) Bombeiro(a) brigadista, profissionais de assistência a saúde (urgência e emergência), Enfermeiro(a), Técnico(a) de enfermagem e socorrista

  • (Campo 120) Psicólogo(a) Escolar

  • (Campo 118) Fonoaudiólogo(a)

  • (Campo 126) Vice-diretor(a) ou diretor(a) adjunto(a), profissionais responsáveis pela gestão administrativa e/ou financeira

  • (Campo 127) Orientador(a) comunitário(a) ou assistente social

Entretanto o i-Educar não contempla os dois últimos campos: (Escola > Cadastros > Escolas > Editar > Aba: Recursos > Seção: Quantidade de profissionais)
Conforme imagem:

image

A próxima mensagem de erro quanto a layout é a seguinte:

-------->Mensagem: Registro 30 com número de campos diferente de 81, foram encontrados 82 campos.

Ao analisar o registro 30 percebi que são informadas as seguintes mensagens:

  • (Campo 19) Surdez
  • (Campo 20) Deficiência auditiva
  • (Campo 21) Surdocegueira
  • (Campo 22) Deficiência física
  • (Campo 23) Deficiência intelectual
  • (Campo 24) Deficiência múltipla (Setado diretamente no arquivo)
  • (Campo 25) Transtorno do espectro autista
  • (Campo 26) Altas habilidades/ Superdotação

Destaco (Campo 24) Deficiência múltipla (Setado diretamente no arquivo)
na FAQ do Educacenso é informado a seguinte situação:

4.13. Quais são os tipos de deficiência coletadas no Censo Escolar?

Cabe destacar que a deficiência múltipla é o resultado da associação entre duas ou mais deficiências. Assim sendo, o sistema Educacenso registra automaticamente uma pessoa com deficiência múltipla, caso tenha sido declarada mais de uma deficiência.

O que eu entendo é que o campo 24 não é necessário sendo que essa deficiência é considerada a partir da informação de duas deficiências simultâneas.

O problema é que contato o campo 24 o sistema está gerando 82 campos e não 81 como é esperado

Alguém ja teve esse problema? se sim … solicito ajuda/orientação de como solucionar esses problemas…

Obrigado!

Qual versão estás utilizado?

A versão instalada é a 2.2.20.

Obtive os mesmos erros aqui!

Além do erro relatado pelo @wescleyp
me deparei com esse aqui também

Mensagem Registro 40 com número de campos diferente de 7, foram encontrados 8 campos.

No entanto não consegui identificar o motivo

Alguém tem a solução??? Pessoal da portabilis tem o caminho de resolução? O prazo é partir de agosto temos pouco tempo para solucionar.

Oi pessoal!

A versão 2.2 não atende o Educacenso 2020, apenas a 2.3.

Para atualizar, seguir esse manual.

Obrigado Thiago, pela atenção, vou executar os testes depois dou o feedback se deu certo.

1 Curtida

Olá, bom dia @wescleyp !

Conseguiu instalar a versão 2.3.0 ?

Boa tarde Tiago. Sim atualizei, a minha está na 2.3.0 conforme imagem em anexa. Inclusive já está disponível para atualizar a 2.3.1, que não atualizei ainda.

Entretanto o problema não foi resolvido os campos 126 e 127 ainda não aparecem:

Sim Dionisio, atualizei, já tem outra pra atualizar, mas o problema do educasenso persiste.

Atualizei até a Versão 2.3.0, quando fui atualizar para a 2.3.1 ocorreu um erro. Segue Log abaixo:
[2020-06-08 18:50:35] production.ERROR: SQLSTATE[42P06]: Duplicate schema: 7 ERROR: schema “cadastro” already exists (SQL:
CREATE SCHEMA cadastro;
CREATE SCHEMA modules;
CREATE SCHEMA pmieducar;
CREATE SCHEMA portal;
CREATE SCHEMA relatorio;
CREATE SCHEMA urbano;
) {“exception”:"[object] (Illuminate\Database\QueryException(code: 42P06): SQLSTATE[42P06]: Duplicate schema: 7 ERROR: schema “cadastro” already exists (SQL:
CREATE SCHEMA cadastro;
CREATE SCHEMA modules;
CREATE SCHEMA pmieducar;
CREATE SCHEMA portal;
CREATE SCHEMA relatorio;
CREATE SCHEMA urbano;
) at /var/www/ieducar/vendor/laravel/framework/src/Illuminate/Database/Connection.php:664, Doctrine\DBAL\Driver\PDOException(code: 42P06): SQLSTATE[42P06]: Duplicate schema: 7 ERROR: schema “cadastro” already exists at /var/www/ieducar/vendor/doctrine/dbal/lib/Doctrine/DBAL/Driver/PDOConnection.php:43, PDOException(code: 42P06): SQLSTATE[42P06]: Duplicate schema: 7 ERROR: schema “cadastro” already exists at /var/www/ieducar/vendor/doctrine/dbal/lib/Doctrine/DBAL/Driver/PDOConnection.php:41)
[stacktrace]
#0 /var/www/ieducar/vendor/laravel/framework/src/Illuminate/Database/Connection.php(624): Illuminate\Database\Connection->runQueryCallback(’
…’, Array, Object(Closure))
#1 /var/www/ieducar/vendor/laravel/framework/src/Illuminate/Database/Connection.php(511): Illuminate\Database\Connection->run(’
…’, Array, Object(Closure))
#2 /var/www/ieducar/vendor/laravel/framework/src/Illuminate/Database/DatabaseManager.php(349): Illuminate\Database\Connection->unprepared(’
…’)
#3 /var/www/ieducar/vendor/laravel/framework/src/Illuminate/Support/Facades/Facade.php(239): Illuminate\Database\DatabaseManager->__call(‘unprepared’, Array)
#4 /var/www/ieducar/database/migrations/legacy/2020_01_01_000000_create_schemas.php(17): Illuminate\Support\Facades\Facade::__callStatic(‘unprepared’, Array)
#5 /var/www/ieducar/vendor/laravel/framework/src/Illuminate/Database/Migrations/Migrator.php(387): CreateSchemas->up()
#6 /var/www/ieducar/vendor/laravel/framework/src/Illuminate/Database/Concerns/ManagesTransactions.php(29): Illuminate\Database\Migrations\Migrator->Illuminate\Database\Migrations\{closure}(Object(App\Providers\Postgres\PostgresConnection))
#7 /var/www/ieducar/vendor/laravel/framework/src/Illuminate/Database/Migrations/Migrator.php(395): Illuminate\Database\Connection->transaction(Object(Closure))
#8 /var/www/ieducar/vendor/laravel/framework/src/Illuminate/Database/Migrations/Migrator.php(197): Illuminate\Database\Migrations\Migrator->runMigration(Object(CreateSchemas), ‘up’)
#9 /var/www/ieducar/vendor/laravel/framework/src/Illuminate/Database/Migrations/Migrator.php(162): Illuminate\Database\Migrations\Migrator->runUp(’/var/www/ieduca…’, 3, false)
#10 /var/www/ieducar/vendor/laravel/framework/src/Illuminate/Database/Migrations/Migrator.php(109): Illuminate\Database\Migrations\Migrator->runPending(Array, Array)
#11 /var/www/ieducar/vendor/laravel/framework/src/Illuminate/Database/Console/Migrations/MigrateCommand.php(71): Illuminate\Database\Migrations\Migrator->run(Array, Array)
#12 [internal function]: Illuminate\Database\Console\Migrations\MigrateCommand->handle()
#13 /var/www/ieducar/vendor/laravel/framework/src/Illuminate/Container/BoundMethod.php(32): call_user_func_array(Array, Array)
#14 /var/www/ieducar/vendor/laravel/framework/src/Illuminate/Container/BoundMethod.php(90): Illuminate\Container\BoundMethod::Illuminate\Container\{closure}()

@tiago.camargo

Tive o mesmo problema do @Dionisio porém ao atualizar da versão intermediária 2.2.21 para a 2.3.0

Na verdade @wescleyp, vc ainda não atualizou para a versão 2.3.0, pois quando na tela de install aparece o botão atualizar instalação é porque você substituiu os arquivos mas a atualização só acontece efetivamente quando clica no botão.
PS: adianto que está dando erro neste passo, pelo menos comigo aconteceu.

A sua já está 2.3.1 e continua dando erro?

Segue os erros da atualização do 2.2.0, para 2.3.

Erro na instalação:

Erro na atualização:

@flavio consegue o log do erro para podermos ajudar melhor, por favor.

Boa tarde @edersoares,
A atualização para versão 2.2.21 ocorre 100% aparecendo o botão de atualização, mas já para a atualização 2.2.22 não aparece o botão para atualizar. Só diz que já está instalada a versão 2.2.22 Versao 2.2.22

Boa tarde @edersoares, resolvi pulando a versão 2.2.21 e indo direto para versão 2.2.22.

Atualizado com sucesso! Obrigado.

1 Curtida